- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cIdealSimulationProtocol Class Reference
[Parallel simulation support]

Implements the Ideal Simulation Protocol, described in the paper "Performance Evaluation of Conservative Algoritms in Parallel Simulation Languages" by Bagrodia et al. More...

`#include <cidealsimulationprot.h>`

Inheritance diagram for cIdealSimulationProtocol:

List of all members.

## Public Member Functions
| cIdealSimulationProtocol ()
virtual | ~cIdealSimulationProtocol ()
virtual void | startRun ()
virtual void | endRun ()
virtual cMessage * | getNextEvent ()

## Detailed Description

Implements the Ideal Simulation Protocol, described in the paper "Performance Evaluation of Conservative Algoritms in Parallel Simulation Languages" by Bagrodia et al.

This is not a real synchronization protocol, but rather a research tool to measure efficiency of other synchonization protocols like the null message algorithm.

## Constructor & Destructor Documentation

cIdealSimulationProtocol::cIdealSimulationProtocol | ( |  | ) |

| Constructor.

virtual cIdealSimulationProtocol::~cIdealSimulationProtocol | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cIdealSimulationProtocol::endRun | ( |  | ) | `[virtual]`

| Called at the end of a simulation run. Implements cParsimSynchronizer.

virtual cMessage* cIdealSimulationProtocol::getNextEvent | ( |  | ) | `[virtual]`

| Scheduler function. Implements cParsimSynchronizer.

virtual void cIdealSimulationProtocol::startRun | ( |  | ) | `[virtual]`

| Called at the beginning of a simulation run. Implements cParsimSynchronizer.

The documentation for this class was generated from the following file:

- cidealsimulationprot.h